<?php
	// CARLOS LOPEZ AMANACU 31/10/2025 
	// Opción 1: Usando fopen(), fwrite() y fclose()
	error_reporting(E_ERROR | E_PARSE);
	include'../aut_config.inc.php';
	header('Content-Type: text/html; charset=UTF-8');
	date_default_timezone_set('America/Caracas');
	header("Last-Modified: " . gmdate("D, d M Y H:i ") . " GMT"); 
	header("Cache-Control: no-store, no-cache, must-revalidate"); 
	header("Cache-Control: post-check=0, pre-check=0", false); 
	header("Pragma: no-cache");	
	$cod_nomina=$_GET['cod_nomina'];
	$goush=$_GET['goush'];
	$cod_centro_costo=$_GET['cod_centro_costo'];
	$fecha_actual=date('d/m/Y');	
	$fecha_actual_x=date('dmY');
		
	$consultar_lote=mysql_query("select * from  tabla_rrhh_nomina_txt ORDER BY id DESC ",$link);
	$ver_consultar_lote=mysql_fetch_array($consultar_lote);
	$lote_siguiente=$ver_consultar_lote['lote']+1;
	$nombre_empresa='MATADERO AVICOLA LOS LLANOS CA     ';
	//$nombre_empresa='DISTRIBUIDORA DE HELADOS EL RECREO ';	
	$numero_negociacion=str_pad('33191', 8, "0", STR_PAD_LEFT);
	$rif_empresa='J310743339';
	$numero_cuenta=str_pad('01020334110000030494', 22, "0", STR_PAD_LEFT);
	$fecha_creacion=$fecha_actual;
	$nombre_archivo = "BDV-".$fecha_actual_x."-".$lote_siguiente.".txt";
	$contedido_txt1="HEADER  ".$lote_siguiente.$numero_negociacion.$rif_empresa.$fecha_creacion.$fecha_creacion."\n";
	$archivo = fopen($nombre_archivo, "w");
	fwrite($archivo, $contedido_txt1);
	

	$consultar_nomina_detalle=mysql_query("select * from   tabla_rrhh_nomina_detalle_urgencia ORDER BY id DESC ",$link);
	$ver_consultar_nomina_detalle_cant=mysql_num_rows($consultar_nomina_detalle);

	$consultar_nomina_detalleX1=mysql_query("select SUM(total_pagar_bs),SUM(salario) from   tabla_rrhh_nomina_detalle_urgencia ORDER BY id DESC ",$link);
	$ver_consultar_nomina_detalle_cantX1=mysql_fetch_array($consultar_nomina_detalleX1);
	$token_montox=$ver_consultar_nomina_detalle_cantX1['SUM(total_pagar_bs)']+$ver_consultar_nomina_detalle_cantX1['SUM(salario)'];
	$token_monto=str_pad($token_montox, 15, "0", STR_PAD_LEFT);
	
	$contar_empleados=str_pad($ver_consultar_nomina_detalle_cant, 5, "0", STR_PAD_LEFT);
	while($ver_consultar_nomina_detalle=mysql_fetch_array($consultar_nomina_detalle)){	

		
		$cedula_trabajador=str_pad($ver_consultar_nomina_detalle['cedula'],9, "0", STR_PAD_LEFT);; 
		$tipo_nacionalidad='V'; 
		$nombre_apellido=str_pad('',30, " ", STR_PAD_LEFT); 
		$numero_cuenta_empleado=str_pad($ver_consultar_nomina_detalle['cuenta'], 22, "0", STR_PAD_LEFT); 
		$fecha_pagox=explode("-",$ver_consultar_nomina['fecha_calculo']);
		$fecha_pago='11/12/2025';
		$t_pagar=$ver_consultar_nomina_detalle['total_pagar_bs']+$ver_consultar_nomina_detalle['salario'];
		$quitar_decimales=round($t_pagar,0);
		$total_pagar_bs=str_pad($quitar_decimales,15, "0", STR_PAD_LEFT);
		$contedido_txt2="DEBITO  00000001".$rif_empresa.$nombre_empresa.$fecha_pago.$numero_cuenta.$total_pagar_bs.",00VEB40\n";
		$contedido_txt3="CREDITO 00000001".$tipo_nacionalidad.$cedula_trabajador.$nombre_apellido.$numero_cuenta_empleado.$total_pagar_bs.",0000BAMRVECA\n";
		fwrite($archivo, $contedido_txt2);
		fwrite($archivo, $contedido_txt3);	
	}	
			
	$contenido_txt4='TOTAL   '.$contar_empleados.$contar_empleados.$token_monto.',00';
	fwrite($archivo, $contenido_txt87_ver);
	fwrite($archivo, $contenido_txt4);
	fclose($archivo);
	/*header('Content-Description: File Transfer');
	header('Content-Disposition: attachment; filename='.basename($archivo));
	header('Expires: 0');
	header('Cache-Control: must-revalidate');
	header('Pragma: public');
	header('Content-Length: ' . filesize($archivo));
	header("Content-Type: text/plain");
	readfile($archivo);*/
	$fecha_hora=date('d/m/Y - h:i:sA - ').$lote_siguiente;
	mysql_query("INSERT INTO  tabla_rrhh_nomina_txt(cod_nomina,lote,cod_centro_costo,fecha_hora,fecha,archivo) VALUES ('".$cod_nomina."','".$lote_siguiente."','".$cod_centro_costo."','".$fecha_hora."','".$fecha_actual."','".$nombre_archivo."')",$link);

?>

LISTO <a href='<?php echo $nombre_archivo; ?>'> DESCARGAR</a>